com.google.protobuf

## Enum Descriptors.FileDescriptor.Syntax

- java.lang.Object
- - java.lang.Enum<Descriptors.FileDescriptor.Syntax>
  - - com.google.protobuf.Descriptors.FileDescriptor.Syntax

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Descriptors.FileDescriptor.Syntax>
  Enclosing class:
    Descriptors.FileDescriptor

      public static enum Descriptors.FileDescriptor.Syntax
      extends java.lang.Enum<Descriptors.FileDescriptor.Syntax>

  The syntax of the .proto file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PROTO2`
    `PROTO3`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Descriptors.FileDescriptor.Syntax` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Descriptors.FileDescriptor.Syntax[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Descriptors.FileDescriptor.Syntax UNKNOWN

    - #### PROTO2

          public static final Descriptors.FileDescriptor.Syntax PROTO2

    - #### PROTO3

          public static final Descriptors.FileDescriptor.Syntax PROTO3

  - ### Method Detail

    - #### values

          public static Descriptors.FileDescriptor.Syntax[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Descriptors.FileDescriptor.Syntax c : Descriptors.FileDescriptor.Syntax.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Descriptors.FileDescriptor.Syntax valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null